Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: GSA_kwCzR0hTQS13cXh3LThoNWctaHE1Ns4AAxVm

Switcher Client contains Regular Expression Denial of Service (ReDoS)

Impact

Unsanitized input flows into Strategy match operation (EXIST), where it is used to build a regular expression. This may result in a Regular expression Denial of Service attack (reDOS).

Patches

Patched in 3.1.4

Workarounds

Avoid using Strategy settings that use REGEX in conjunction with EXIST and NOT_EXIST operations.

Permalink: https://github.com/advisories/GHSA-wqxw-8h5g-hq56
JSON: https://advisories.ecosyste.ms/api/v1/advisories/GSA_kwCzR0hTQS13cXh3LThoNWctaHE1Ns4AAxVm
Source: GitHub Advisory Database
Origin: Unspecified
Severity: High
Classification: General
Published: over 1 year ago
Updated: about 1 year ago


CVSS Score: 7.5
CVSS vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Identifiers: GHSA-wqxw-8h5g-hq56, CVE-2023-23925
References: Repository: https://github.com/switcherapi/switcher-client-master
Blast Radius: 2.3

Affected Packages

npm:switcher-client
Dependent packages: 0
Dependent repositories: 2
Downloads: 217 last month
Affected Version Ranges: < 3.1.4
Fixed in: 3.1.4
All affected versions: 1.0.6, 1.0.7, 1.0.8, 2.0.0, 2.0.1, 2.0.2, 2.0.3, 2.0.4, 2.0.5, 2.0.6, 2.0.7, 2.0.8, 2.0.9, 2.1.0, 2.1.1, 3.0.0, 3.0.1, 3.1.0, 3.1.1, 3.1.2, 3.1.3
All unaffected versions: 3.1.4, 3.1.5, 3.1.6, 3.1.7, 3.1.8, 3.1.9, 3.2.0, 3.2.1, 4.0.0, 4.0.1, 4.0.2, 4.0.3, 4.1.0, 4.1.1